# AdSense Host API . accounts

## Instance Methods

Returns the adclients Resource.

Returns the adunits Resource.

Returns the reports Resource.

Get information about the selected associated AdSense account.

List hosted accounts associated with this AdSense account by ad client id.

### Method Details

`get(accountId)`

    Get information about the selected associated AdSense account.

    Args:
      accountId: string, Account to get information about. (required)

    Returns:
      An object of the form:

        {
        "status": "A String", # Approval status of this account. One of: PENDING, APPROVED, DISABLED.
        "kind": "adsensehost#account", # Kind of resource this is, in this case adsensehost#account.
        "id": "A String", # Unique identifier of this account.
        "name": "A String", # Name of this account.
      }

`list(filterAdClientId)`

    List hosted accounts associated with this AdSense account by ad client id.

    Args:
      filterAdClientId: string, Ad clients to list accounts for. (required) (repeated)

    Returns:
      An object of the form:

        {
        "items": [ # The accounts returned in this list response.
          {
            "status": "A String", # Approval status of this account. One of: PENDING, APPROVED, DISABLED.
            "kind": "adsensehost#account", # Kind of resource this is, in this case adsensehost#account.
            "id": "A String", # Unique identifier of this account.
            "name": "A String", # Name of this account.
          },
        ],
        "kind": "adsensehost#accounts", # Kind of list this is, in this case adsensehost#accounts.
        "etag": "A String", # ETag of this response for caching purposes.
      }